/*******************************************************************************
* File Name: AO3.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AO3_ALIASES_H) /* Pins AO3_ALIASES_H */
#define CY_PINS_AO3_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define AO3_0			(AO3__0__PC)
#define AO3_0_PS		(AO3__0__PS)
#define AO3_0_PC		(AO3__0__PC)
#define AO3_0_DR		(AO3__0__DR)
#define AO3_0_SHIFT	(AO3__0__SHIFT)
#define AO3_0_INTR	((uint16)((uint16)0x0003u << (AO3__0__SHIFT*2u)))

#define AO3_INTR_ALL	 ((uint16)(AO3_0_INTR))


#endif /* End Pins AO3_ALIASES_H */


/* [] END OF FILE */
