/*******************************************************************************
* File Name: AO4.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AO4_ALIASES_H) /* Pins AO4_ALIASES_H */
#define CY_PINS_AO4_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define AO4_0			(AO4__0__PC)
#define AO4_0_PS		(AO4__0__PS)
#define AO4_0_PC		(AO4__0__PC)
#define AO4_0_DR		(AO4__0__DR)
#define AO4_0_SHIFT	(AO4__0__SHIFT)
#define AO4_0_INTR	((uint16)((uint16)0x0003u << (AO4__0__SHIFT*2u)))

#define AO4_INTR_ALL	 ((uint16)(AO4_0_INTR))


#endif /* End Pins AO4_ALIASES_H */


/* [] END OF FILE */
